Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkShrinkPolyData Class Reference

`#include <vtkShrinkPolyData.h>`

Inheritance diagram for vtkShrinkPolyData:

[legend]
Collaboration diagram for vtkShrinkPolyData:

[legend]
List of all members.

## Detailed Description

shrink cells composing PolyData

Date:
  2002/01/22 15:29:44

Revision:
  1.48

vtkShrinkPolyData shrinks cells composing a polygonal dataset (e.g., vertices, lines, polygons, and triangle strips) towards their centroid. The centroid of a cell is computed as the average position of the cell points. Shrinking results in disconnecting the cells from one another. The output dataset type of this filter is polygonal data.

During execution the filter passes its input cell data to its output. Point data attributes are copied to the points created during the shrinking process.

Warning:
  It is possible to turn cells inside out or cause self intersection in special cases.

See also:
  vtkShrinkFilter

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Schroeder, Will (48%)
  - Martin, Ken (38%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkShrinkPolyData.h)`
  - .`cxx` (`/Graphics/vtkShrinkPolyData.cxx)`

Examples:
  vtkShrinkPolyData (Examples)

Tests:
  vtkShrinkPolyData (Tests)

Definition at line 63 of file vtkShrinkPolyData.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetShrinkFactor (float)
virtual float | GetShrinkFactor ()
## Static Public Methods
vtkShrinkPolyData * | New ()
int | IsTypeOf (const char *type)
vtkShrinkPolyData * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkShrinkPolyData (float sf=0.5)
| ~vtkShrinkPolyData ()
void | Execute ()
## Protected Attributes
float | ShrinkFactor

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkShrinkPolyData::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 67 of file vtkShrinkPolyData.h.

## Constructor & Destructor Documentation

vtkShrinkPolyData::vtkShrinkPolyData | ( | float | sf = 0.5 | ) | `[protected]`

vtkShrinkPolyData::~vtkShrinkPolyData | ( |  | ) | `[inline, protected]`

| Definition at line 82 of file vtkShrinkPolyData.h.

## Member Function Documentation

vtkShrinkPolyData* vtkShrinkPolyData::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkShrinkPolyData::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkShrinkPolyData::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkShrinkPolyData::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkShrinkPolyData* vtkShrinkPolyData::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkShrinkPolyData::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual void vtkShrinkPolyData::SetShrinkFactor | ( | float |  | ) | `[virtual]`

| Set the fraction of shrink for each cell.

virtual float vtkShrinkPolyData::GetShrinkFactor | ( |  | ) | `[virtual]`

| Get the fraction of shrink for each cell.

void vtkShrinkPolyData::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkShrinkPolyData::ShrinkFactor`[protected]`

| Definition at line 85 of file vtkShrinkPolyData.h.

The documentation for this class was generated from the following file:

- Graphics/vtkShrinkPolyData.h